{
  num: -22001,
  accuracy: 90,
  basePower: 80,
  category: "Special",
  name: "Foam Frenzy",
  pp: 10,
  priority: 0,
  flags: { protect: 1, mirror: 1 },
  target: "allAdjacentFoes",
  type: "Water",
  onAfterHit(target, source, move) {
    let removed = false;
    const side = source.side;
    if (side.removeSideCondition("spikes")) removed = true;
    if (side.removeSideCondition("toxicspikes")) removed = true;
    if (side.removeSideCondition("stealthrock")) removed = true;
    if (side.removeSideCondition("stickyweb")) removed = true;
    if (removed) this.add("-sideend", source.side, "Foam Frenzy", "[silent]");
  },
  onAfterSubDamage(damage, target, source, move) {
    let removed = false;
    const side = source.side;
    if (side.removeSideCondition("spikes")) removed = true;
    if (side.removeSideCondition("toxicspikes")) removed = true;
    if (side.removeSideCondition("stealthrock")) removed = true;
    if (side.removeSideCondition("stickyweb")) removed = true;
    if (removed) this.add("-sideend", source.side, "Foam Frenzy", "[silent]");
  }
}
